#main-content {
    padding: 5rem 2rem 4rem;
}

#background-image-container {
    min-width: 75%;
    min-height: 100%;
    position: fixed;
    z-index: -1;
    left: 50%;
    transform: translate(-50%, 8%);
    opacity: 0.1;
}

#background-image {
    min-width: 100%;
    min-height: 100%;
}

.background-image-overlay {
    background-color: var(--background-colour);
    position: absolute;
    top: 0px;
    z-index: 3;
    width: 100%;
    height: 100%;
}

#overlay-horizontal {
    mask-image: linear-gradient(
        to right,
        var(--background-colour) 0%,
        transparent 10%,
        transparent 90%,
        var(--background-colour) 100%
    );
}

#overlay-vertical {
    mask-image: linear-gradient(
        to top,
        var(--background-colour) 0%,
        transparent 10%,
        transparent 90%,
        var(--background-colour) 100%
    );
}

.content-card {
    display: block;
    text-decoration: none;
    background: var(--sidebar-background-colour);
    border: 1px solid var(--border-colour);
    border-radius: 8px;
    padding: 1.8rem;
}

.card-divider {
    margin-bottom: 1.5rem;
    padding-bottom: 1.5rem;
    border-bottom: 1px solid var(--border-colour);
}

#item-content {
    display: grid;
    grid-template-columns: 3.5fr 1.5fr;
    grid-template-areas: "content card";
    gap: 2rem;
}

#item-media {
    display: flex;
    flex-direction: column;
}

#item-hero-image {
    width: 100%;
    border-radius: 8px;
    overflow: hidden;
    margin-bottom: 1rem;
    border: 2px solid var(--primary);
    aspect-ratio: 4/3;
    background-color: #fff;
}

#item-hero-image img {
    width: 100%;
    display: block;
}

#image-thumbnails {
    display: flex;
    gap: 0.5rem;
    margin-top: 1rem;
    max-width: 100%;
    justify-content: center;
}

.image-thumbnail {
    border-radius: 4px;
    overflow: hidden;
    cursor: pointer;
    opacity: 0.7;
    transition: all 0.2s ease;
    border: 2px solid var(--border-colour);
    aspect-ratio: 16/9;
    width: 25%;
}

.image-thumbnail:hover {
    opacity: 0.9;
    transform: translateY(-8px);
}

.image-thumbnail.active {
    opacity: 1;
    border-color: var(--primary);
    transform: translateY(-8px);
}

.image-thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.item-badges-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 0.5rem;
}

.item-details {
    width: 100%;
}

#item-feature-card h3 {
    font-size: 1.3rem;
    margin-bottom: 0px;
    color: var(--primary-dark);
}

.feature-list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 0.2rem;
}

.feature-item {
    display: flex;
    align-items: center;
    gap: 0.4rem;
    margin-top: 15px;
    font-weight: bolder;
}

.feature-subitem {
    margin-left: 1.7rem;
    font-size: 0.95rem;
}

.feature-subitem::before {
    content: "✦";
    padding-right: 0.2rem;
}

.feature-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 24px;
    height: 24px;
    user-select: none;
    -webkit-user-select: none;
}

.feature-icon img {
    width: 100%;
    height: 100%;
    filter: var(--svg-filter-primary-dark);
}

#tags-container {
    display: flex;
    flex-wrap: wrap;
    gap: 0.6rem;
    margin-top: 20px;
}

.coming-soon {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    color: var(--text-colour);
    text-decoration: none;
    font-weight: 500;
    font-size: 1.7rem;
}

.coming-soon img {
    filter: var(--svg-filter-primary-dark);
}

.shop-button {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    background-color: var(--primary);
    color: white;
    padding: 1rem;
    border-radius: 4px;
    text-decoration: none;
    font-weight: 500;
    border: 1px solid var(--primary);
    transition:
        background-color 0.3s ease,
        transform 0.3s ease,
        border-color 0.3s ease;
    font-size: 1.7rem;
    user-select: none;
    -webkit-user-select: none;
}

.shop-button:hover {
    background-color: var(--primary-dark);
    border-color: var(--primary);
}

#itchio-button {
    background-color: var(--itch-io-brand-colour);
    border: 1px solid var(--itch-io-dark-colour);
}

#itchio-button:hover {
    background-color: var(--itch-io-dark-colour);
    border-color: var(--itch-io-brand-colour);
}

#etsy-button {
    padding: 0.75rem 0.75rem;
    background-color: var(--etsy-brand-colour);
    border: 1px solid var(--etsy-dark-colour);
}

#etsy-button img {
    height: 3.5rem;
}

#etsy-button:hover {
    background-color: var(--etsy-dark-colour);
    border-color: var(--etsy-brand-colour);
}

#fybe-button {
    padding: 0.75rem 1rem;
    background-color: var(--fybe-brand-colour);
    border: 1px solid var(--fybe-dark-colour);
}

#fybe-button img {
    height: 3.5rem;
}

#fybe-button:hover {
    background-color: var(--fybe-dark-colour);
    border-color: var(--fybe-brand-colour);
}

#steam-button {
    background-color: var(--steam-brand-colour);
    border: 1px solid var(--steam-dark-colour);
}

#steam-button:hover {
    background-color: var(--steam-dark-colour);
    border-color: var(--steam-brand-colour);
}

#wholesale-button {
    padding: 0.75rem 1rem;
    background-color: var(--wholesale-brand-colour);
    border: 1px solid var(--wholesale-dark-colour);
}

#wholesale-button img {
    height: 3.5rem;
}

#wholesale-button:hover {
    background-color: var(--wholesale-dark-colour);
    border-color: var(--wholesale-brand-colour);
}

#pattern-keeper-banner {
    display: flex;
    justify-content: center;
}

#pattern-keeper-banner img {
    width: 100%;
    user-select: none;
    -webkit-user-select: none;
}

#pattern-story {
    background: var(--story-block-gradient-colour);
    border-left: 5px solid var(--primary);
    padding: 0.5rem 1rem 0.5rem 1.5rem;
    border-radius: 0 4px 4px 0;
    position: relative;
    overflow: visible;
    box-shadow: var(--story-block-box-shadow);
    font-size: 1.3rem;
    margin: 0;
    margin-bottom: 1.5rem;
}

#pattern-story p {
    opacity: 0.8;
    font-style: italic;
}

.pattern-details ul {
    list-style: none;
    padding-left: 1rem;
}

.pattern-details ul li {
    display: flex;
    align-items: center;
}

.pattern-details ul li::before {
    content: "✦";
    color: var(--primary);
    padding-right: 0.5rem;
    font-size: 1.5rem;
    flex-shrink: 0;
}

#item-description-section {
    padding: 1.2rem 1.2rem;
    background: rgba(var(--background-rgb), 0.6);
}

#item-description-section img {
    width: 100%;
}

.information-header {
    color: var(--primary-dark);
    font-size: 1.4rem;
    font-weight: bold;
}

.wholesale-text-block {
    background: var(--story-block-gradient-colour);
    border-left: 5px solid var(--primary);
    padding: 0.8rem;
    border-radius: 0 4px 4px 0;
    opacity: 0.8;
}

.note-title {
    font-weight: bold;
    vertical-align: middle;
}

.note-message {
    font-style: italic;
}

#wholesale-caution-note {
    background: linear-gradient(
        135deg,
        rgba(149, 150, 95, 0.25),
        rgba(130, 117, 58, 0.2)
    );
    border-left: 5px solid #d08526;
}

.wholesale-text-block img {
    width: 26px;
    vertical-align: middle;
    filter: var(--svg-filter-colour);
    user-select: none;
    -webkit-user-select: none;
}

.download-icon {
    filter: var(--svg-filter-colour);
    width: 24px !important;
    height: 24px;
}

@media (max-width: 1026px) {
    #item-content {
        grid-template-columns: 1fr;
        grid-template-areas:
            "media"
            "card"
            "description";
    }

    #left-content {
        display: contents;
    }

    #item-media {
        grid-area: media;
    }

    #item-description-section {
        grid-area: description;
    }

    .feature-item {
        flex: 0 0 auto;
        margin-right: 1.5rem;
    }

    .image-thumbnail {
        width: calc(25% - 0.4rem);
        height: auto;
        aspect-ratio: 16/9;
    }

    #pattern-keeper-banner img {
        width: auto;
        max-height: 100%;
        max-width: 100%;
    }
}
